org.apache.ode.utils

## Class Version

- java.lang.Object
- - org.apache.ode.utils.Version

-     public class Version
      extends java.lang.Object

  Class for displaying the version of the build

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getBuildDate()` Get the build date.
    `static java.lang.String` | `getBuildNumber()` Get the full name of the version, e.g., "1.0B15".
    `static int` | `getMajorVersion()` Get the major version number, i.e., the `x` in version `x.y`.
    `static int` | `getMinorVersion()` Get the minor version number, i.e., the `y` in version `x.y`.
    `static java.lang.String` | `getVersionName()` Get the full name of the version, e.g., "1.0B15".
    `static void` | `main(java.lang.String[] argv)` Print the full version number and licensing information to the console.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Version

          public Version()

  - ### Method Detail

    - #### getVersionName

          public static java.lang.String getVersionName()

      Get the full name of the version, e.g., "1.0B15".
      Returns:
        the full version name or an empty String if not available.

    - #### getBuildNumber

          public static java.lang.String getBuildNumber()

      Get the full name of the version, e.g., "1.0B15".
      Returns:
        the build number.

    - #### getBuildDate

          public static java.lang.String getBuildDate()

      Get the build date.
      Returns:
        the build date as a string of the form yyyyMMdd

    - #### getMajorVersion

          public static int getMajorVersion()

      Get the major version number, i.e., the `x` in version `x.y`.
      Returns:
        the minor version number or `-1` for a development build

    - #### getMinorVersion

          public static int getMinorVersion()

      Get the minor version number, i.e., the `y` in version `x.y`.
      Returns:
        the minor version number or `-1` for a development build

    - #### main

          public static void main(java.lang.String[] argv)

      Print the full version number and licensing information to the console.
      Parameters:
        `argv` - command-line arguments (ignored)